package at.bestsolution.rsd.rt.server.jetty;

import javax.websocket.server.ServerEndpointConfig.Configurator;

import com.google.inject.Guice;
import com.google.inject.Injector;
import com.google.inject.Module;

public class GuiceWSConfigurator extends Configurator {
	
	private final Injector injector;
	
	public GuiceWSConfigurator(Module... module) {
		this.injector = Guice.createInjector(module);
	}
	
	@Override
	public <T> T getEndpointInstance(Class<T> endpointClass) throws InstantiationException {
		return injector.getInstance(endpointClass);
	}
}
